#!/usr/bin/env bash

# Nur root darf Änderungen machen
if [ "$EUID" -ne 0 ] && [ "$1" != "-s" ]; then
  echo "Bitte mit sudo ausführen."
  exit 1
fi

# folder for install files will be removed later
cd ~
mkdir install
cd install

# install essentials
apt install nala -y
nala install ninja-build gettext libtool-bin cmake g++ pkg-config unzip curl git tmux build-essential manpages-dev clangd python3-jedi zsh -y

# zsh config
wget https://git.boergmann.it/klaas/shellskripte/raw/branch/main/configs/zshrc -O ~/.zshrc

# ssh Keys für alle Maschinen
wget https://git.boergmann.it/klaas/shellskripte/raw/branch/main/ssh/public_keys -O ~/.ssh/authorized_keys

# ssh Password Authenitcatoon no
wget https://git.boergmann.it/klaas/shellskripte/raw/branch/main/ssh/ssh_password
./ssh_password -n

# install neovim
git clone https://github.com/neovim/neovim
cd neovim
git checkout stable
make CMAKE_BUILD_TYPE=RelWithDebInfo
sudo make install

# config file for nvim
mkdir ~/.config/nvim
wget https://git.boergmann.it/klaas/shellskripte/raw/branch/main/configs/init.vim -O ~/.config/nvim/init.vim
sh -c 'curl -fLo "${XDG_DATA_HOME:-$HOME/.local/share}"/nvim/site/autoload/plug.vim --create-dirs \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
nvim --headless +PlugInstall +qa
# Language support for python and C
nvim --headless -c 'CocInstall -sync coc-python' -c 'qall'
nvim --headless -c 'CocInstall -sync coc-clang' -c 'qall'

# Install NodeJS
curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.3/install.sh | bash
source ~/.bashrc
nvm install v20

# usefull packages für nodeJS
npm install -g yarn
npm install -g nodemon

# nvim language support for nodeJS
cd ~/.local/share/nvim/plugged/coc.nvim
yarn install
yarn build

# aufräumen
rm -Rf ~/install

# zsh nutzen
usermod -s /bin/zsh klaas
